<<< Previous |  | Next >>>

# FcStrDirname

## Name

FcStrDirname -- directory part of filename

## Synopsis

    #include <fontconfig/fontconfig.h>

``FcChar8 * `FcStrDirname``(const FcChar8 *`file`);`

## Description

Returns the directory containing `file`. This is returned in newly allocated storage which should be freed when no longer needed.

<<< Previous | Home | Next >>>
FcStrBuildFilename | Up | FcStrBasename